Package org.jboss.resteasy.core.interception.jaxrs

## Class ContainerResponseFilterRegistryImpl

- java.lang.Object
- - org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl<javax.ws.rs.container.ContainerResponseFilter>
  - - org.jboss.resteasy.core.interception.jaxrs.ContainerResponseFilterRegistryImpl

- All Implemented Interfaces:
    `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerResponseFilter>`

      public class ContainerResponseFilterRegistryImpl
      extends JaxrsInterceptorRegistryImpl<javax.ws.rs.container.ContainerResponseFilter>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl

      `JaxrsInterceptorRegistryImpl.AbstractInterceptorFactory, JaxrsInterceptorRegistryImpl.OnDemandInterceptorFactory, JaxrsInterceptorRegistryImpl.SingletonInterceptorFactory`

    - ### Nested classes/interfaces inherited from interface org.jboss.resteasy.spi.interception.JaxrsInterceptorRegistry

      `JaxrsInterceptorRegistry.AscendingPrecedenceComparator, JaxrsInterceptorRegistry.DescendingPrecedenceComparator, JaxrsInterceptorRegistry.InterceptorFactory, JaxrsInterceptorRegistry.Match`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl

      `cachedPostMatch, cachedPreMatch, interceptors, intf, listeners, providerFactory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContainerResponseFilterRegistryImpl​(ResteasyProviderFactory providerFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContainerResponseFilterRegistryImpl` | `clone​(ResteasyProviderFactory factory)` |
    `void` | `registerClass​(Class<? extends javax.ws.rs.container.ContainerResponseFilter> declaring)` |
    `void` | `registerClass​(Class<? extends javax.ws.rs.container.ContainerResponseFilter> declaring, int priority)` |
    `void` | `registerSingleton​(javax.ws.rs.container.ContainerResponseFilter interceptor)` |
    `void` | `registerSingleton​(javax.ws.rs.container.ContainerResponseFilter interceptor, int priority)` |
    `protected void` | `sort​(List<JaxrsInterceptorRegistry.Match> matches)` |

    - ### Methods inherited from class org.jboss.resteasy.core.interception.jaxrs.JaxrsInterceptorRegistryImpl

      `getIntf, getListeners, getNameBound, getPriority, postMatch, preMatch, register`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerResponseFilterRegistryImpl

          public ContainerResponseFilterRegistryImpl​(ResteasyProviderFactory providerFactory)

  - ### Method Detail

    - #### sort

          protected void sort​(List<JaxrsInterceptorRegistry.Match> matches)

      Overrides:
        `sort` in class `JaxrsInterceptorRegistryImpl<javax.ws.rs.container.ContainerResponseFilter>`

    - #### clone

          public ContainerResponseFilterRegistryImpl clone​(ResteasyProviderFactory factory)

      Specified by:
        `clone` in interface `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerResponseFilter>`
      Overrides:
        `clone` in class `JaxrsInterceptorRegistryImpl<javax.ws.rs.container.ContainerResponseFilter>`

    - #### registerClass

          public void registerClass​(Class<? extends javax.ws.rs.container.ContainerResponseFilter> declaring)

      Specified by:
        `registerClass` in interface `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerResponseFilter>`
      Overrides:
        `registerClass` in class `JaxrsInterceptorRegistryImpl<javax.ws.rs.container.ContainerResponseFilter>`

    - #### registerClass

          public void registerClass​(Class<? extends javax.ws.rs.container.ContainerResponseFilter> declaring,
                                    int priority)

      Specified by:
        `registerClass` in interface `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerResponseFilter>`
      Overrides:
        `registerClass` in class `JaxrsInterceptorRegistryImpl<javax.ws.rs.container.ContainerResponseFilter>`

    - #### registerSingleton

          public void registerSingleton​(javax.ws.rs.container.ContainerResponseFilter interceptor)

      Specified by:
        `registerSingleton` in interface `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerResponseFilter>`
      Overrides:
        `registerSingleton` in class `JaxrsInterceptorRegistryImpl<javax.ws.rs.container.ContainerResponseFilter>`

    - #### registerSingleton

          public void registerSingleton​(javax.ws.rs.container.ContainerResponseFilter interceptor,
                                        int priority)

      Specified by:
        `registerSingleton` in interface `JaxrsInterceptorRegistry<javax.ws.rs.container.ContainerResponseFilter>`
      Overrides:
        `registerSingleton` in class `JaxrsInterceptorRegistryImpl<javax.ws.rs.container.ContainerResponseFilter>`